Trying a fix on build scripts, binary and chroot hooks are working without problems

parent 5d94c650
Pipeline #222 failed with stages
in 84 minutes and 40 seconds
...@@ -67,8 +67,7 @@ all: ...@@ -67,8 +67,7 @@ all:
all_gitlabci: all_gitlabci:
echo $(BUILD_NUMBER_DATE) > build_num echo $(BUILD_NUMBER_DATE) > build_num
./keyring-updater.sh ./keyring-updater.sh
# set -e; taskset 0x1 sudo lb build 2>&1 | tee $(LOGFILE) set -e; taskset 0x1 sudo lb build 2>&1 | tee $(LOGFILE)
taskset 0x1 sudo lb build 2>&1 | tee $(LOGFILE)
if [ -f live-image-armhf.tar.tar.gz ]; then \ if [ -f live-image-armhf.tar.tar.gz ]; then \
tar -jcf $(CONFIGFILE) auto/ config/ configure; \ tar -jcf $(CONFIGFILE) auto/ config/ configure; \
sudo mv live-image-armhf.contents $(LISTFILE); \ sudo mv live-image-armhf.contents $(LISTFILE); \
......
...@@ -4,8 +4,6 @@ ...@@ -4,8 +4,6 @@
# Write or create raspberry-pi 1, 2 and 3 image # Write or create raspberry-pi 1, 2 and 3 image
set -e
if [ ${EUID} -ne 0 ]; then if [ ${EUID} -ne 0 ]; then
echo "This tool must be run as root" echo "This tool must be run as root"
exit 1 exit 1
......
...@@ -4,8 +4,6 @@ ...@@ -4,8 +4,6 @@
# Write or create raspberry-pi 1, 2 and 3 image # Write or create raspberry-pi 1, 2 and 3 image
set -e
if [ ${EUID} -ne 0 ]; then if [ ${EUID} -ne 0 ]; then
echo "This tool must be run as root" echo "This tool must be run as root"
exit 1 exit 1
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment